Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.io
Class UnknownElementException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--uk.ac.man.bioinf.io.ParserException
                              |
                              +--uk.ac.man.bioinf.io.UnknownElementException

All Implemented Interfaces:
  Serializable

public class UnknownElementException
extends ParserException

An exception to flag an unrecognised element in a string. Created: Wed Jun 7 13:28:11 2000

Version:
  $Id: UnknownElementException.java,v 1.4 2001/04/11 17:04:43 lord Exp $
Author:
  J Selley
See Also:
  Serialized Form

Constructor Summary
`UnknownElementException(int i)`
`UnknownElementException(int i, String seq)`
`UnknownElementException(String message, int i)`
`UnknownElementException(String message, int i, String seq)`
`UnknownElementException(String message, int i, String seq, Identifier seqIdent)`

Methods inherited from class uk.ac.man.bioinf.io.ParserException
`getIdentifier, getPosition, getSequence`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownElementException

    public UnknownElementException(int i)

### UnknownElementException

    public UnknownElementException(String message,
                                   int i)

### UnknownElementException

    public UnknownElementException(int i,
                                   String seq)

### UnknownElementException

    public UnknownElementException(String message,
                                   int i,
                                   String seq)

### UnknownElementException

    public UnknownElementException(String message,
                                   int i,
                                   String seq,
                                   Identifier seqIdent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD